Migración de joomla 2.5x a 3.x  

Página 1 / 2
 
YSABEL KATIUSKA
 YSABEL KATIUSKA
Estimable Member

Hola

Estoy muy preocupada con el tema de la migración de joomla 2.5x a la última versión de joomla 3. Les comento, ayer intenté hacer el cambio, siguiendo las indicaciones del siguiente hilo:

No obstante, y para variar, me apareció tooodo en blanco, incluyendo backend y frontend... luego observé que existe otro hilo con la "solución" al problema (), pero tampoco pude hacerlo, ya que no supe como pasar del punto 7. Y lo único que pude hacer es recuperar la versión anterior para poder tener la web operativa.

Hoy me aparece en mi admin de joomla el mensaje: Joomla! 2.5 Support Is Ending On December 31, 2014! Click Here for More Information..

Mi pregunta es, puedo continuar con esta versión (ahora tengo la Versión 2.5.28), hasta que haya una manera menos traumática de migrar o es imperativo hacerlo antes del 01/01/2015?

Muchas gracias y feliz Navidad 😉

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 26/12/2014 12:07 pm
Lorena
 Lorena
Miembro Moderator

Hola Ysabel,

Entiendo que, tras actualizar y ver todo en blanco, intentaste seguir los pasos indicados en y te "atascaste" en el paso 7.

Me imagino (corrígeme si me equivoco) que conseguiste descargar a tu equipo el joomla y descomprimirlo en tu equipo. El siguiente paso es subir el fichero remember.php de la carpeta /plugins/system/ a la misma carpeta pero de tu servidor. Para esto puedes utilizar el administrador de archivos de tu cPanel. Revisa el siguiente videotutorial:

https://www.youtube.com/watch?v=E4OArhGfv0E

A tu pregunta de si puedes seguir con la versión actual de tu Joomla, sí que puedes hacerlo, pero a la larga tendrás que acabar actualizando por lo que es mejor hacerlo cuanto antes (y más cuando el soporte a Joomla 2.5 termina el 31 de este mes)

Si tienes suficiente espacio en disco pudes clonar tu web en un nuevo directorio y realizar ahí la actualización. Una vez hayas comprobado cómo se realiza correctamente, podrás realizar los mismos pasos en tu web en producción.

https://www.webempresa.com/blog/item/1109-copias-de-seguridad-en-joomla-25-y-3x-con-akeeba-backup.html

Un saludo.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 26/12/2014 12:55 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

YSABEL KATIUSKA
 YSABEL KATIUSKA
Estimable Member

Muchas gracias Lorena,

Haciendo caso a tu consejo, he procedido a realizar todos los pasos para la migración a joomla 3.X. Pues bien, me vuelve a suceder lo mismo y no puedo avanzar. Explicaré brevemente y con capturas los pasos que he realizado para ver como podemos solucionarlo:
Realizo los pasos que me indican en el hilo (). En los puntos:
3. Localizar y editar el archivo configuration.php
4. Modificar el valor de la variable $error_reporting= 'default' a 'Maximun'.
Al recargar me sigue sin aparecer el error provocado por la actualización desde Joomla . De cualquier manera trato de continuar y luego en la siguiente explicación en el punto 4, me aparece: Descargar un Pack de Joomla 3.1.5 oficial. He usado este joomla porque no sé como descargar la última versión estable de joomla 3.X, lo he subido y descargado en la carpeta de mi sitio (en este caso estoy probando con un subdominio que tengo) Adjunto captura. Luego lo he descomprimido en el mismo sitio, (pero pregunto, no hay que borrar nada?, el .zip por ejemplo? Y los demás archivos los sobreescribe?
Luego me aparece en la carpeta public_html/catalogo/plugins/system/remember dos los dos archivos remember.php (adjunto captura), entonces cómo hago lo que me dice el punto 7. “Desde el Administrador de Archivos (cPanel) subir el archivo remember.php a la carpeta/plugins/system/ ).” ¿Cómo lo subo si ya lo tengo en dicha carpeta????, de cualquier manera, hice lo que se muestra en rojo en la captura1c, luego vuelvo a la administración y me vuelve a aparecer la pantalla en blanco. Por tanto no me permite pasar del bendito paso 7. (Aún habiendo visto el video que me has enviado), algo sigo haciendo mal… :blink:

Un saludo

ResponderCitar
Respondido : 26/12/2014 4:55 pm
Jhon Marreros Guzman
 Jhon Marreros Guzman
Soporte CMS Webempresa Moderator

Hola

Cuando comentas :

Descargar un Pack de Joomla 3.1.5 oficial. "He usado este joomla" porque no sé como descargar la última versión estable de joomla 3.X, lo he subido y descargado en la carpeta de mi sitio (en este caso estoy probando con un subdominio que tengo) Adjunto captura

Debes descargar la versión actual
http://www.joomla.org/download.html

Esto lo puedes descargar a tu máquina local , desomprimir , sólo te interesa un archivo el cual vas a subir, por lo tanto no descomprimas en el servidor ya que la idea es sólo reemplazar el archivo indicado remember.php

Tendrías que recuperar una copia y realizar los pasos nuevamente

PD. Te muestra algo el error_log en tu sitio?

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 26/12/2014 5:59 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

YSABEL KATIUSKA
 YSABEL KATIUSKA
Estimable Member

Gracias Jhon,

He procedido a recuperar todo de nuevo como lo tenía (versión 2.5.28), pero ahora no sé por qué motivo no me aparece ya la página en blanco, sólo me muestra un mensaje que adjunto en captura que tampoco, creo, tiene nada que ver con el archivo remember.php que citan en el artículo de la solución del problema.

Ahora sí que no sé que hacer...

Saludos

ResponderCitar
Respondido : 27/12/2014 2:40 pm
Pepe
 Pepe
Soporte CMS Webempresa Moderator

Hola.
El error que te indica es que no encuentra el fichero o el directorio indicado en la línea 24 del archivo "vmmodel.php", prueba a actualizar virtuemart y revisa si se soluciona el problema.

Si no se soluciona edita el fichero "vmmodel.php" y revisa la ruta o el componente al que hace referencia.

En la instalación de joomla 3 actualiza el plugin "EasyCalcCheck Plus"

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 27/12/2014 3:29 pm

Cursos Gratuitos WordPress

YSABEL KATIUSKA
 YSABEL KATIUSKA
Estimable Member

Gracias Pepe pero no sé cómo puedo actualizar el pluging que me indicas. . Tendrías algún vídeo donde se explique.

Saludos

ResponderCitar
Respondido : 27/12/2014 4:49 pm
Johnny Heredia Montiel
 Johnny Heredia Montiel
Miembro Moderator

Hola,

Si te diriges a extensiones => gestor de extensiones => actualizar si el plugin tiene alguna actualización pendiente se debería de mostrar, caso contrario otra forma de actualizar es descargando el plugin para pasar a instalarlo como la primera vez, todo esto previa copia de seguridad.

Si nuestra ayuda te ha sido útil, déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 27/12/2014 5:41 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

YSABEL KATIUSKA
 YSABEL KATIUSKA
Estimable Member

Gracias pero no puedo entrar al backend para hacer nada. Sólo me aparece el mensaje de error que mostré en la captura. Y cuando dices: " otra forma de actualizar es descargando el plugin para pasar a instalarlo como la primera vez" de donde descargo el pluging? Puedo hacer esto desde el administrador de archivos? Donde y como lo hago? Perdonar mi ignorancia.

Un saludo

ResponderCitar
Respondido : 27/12/2014 5:48 pm
Johnny Heredia Montiel
 Johnny Heredia Montiel
Miembro Moderator

Hola,

Si no tienes acceso a la administración no podrás hacer mucho, que versión de Virtuemart tienes?, lo recomendable seria que descargues Virtuemart y descomprimas el fichero para que busques dicho archivo vmmodel.php, mediante el administrador de ficheros de tu cPanel ubicar la ruta que te da el error y subirlo, verifica si se ejecuta la administración.

Si nuestra ayuda te ha sido útil, déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 27/12/2014 6:41 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

YSABEL KATIUSKA
 YSABEL KATIUSKA
Estimable Member

Hola de nuevo,

La versión de Virtuemart que tenía antes de hacer la migración a joomla 3 era la 2.6.10. Ahora bien, según entiendo éste es compatible con la versión de joomla 2.5x que se supone que ya no tengo, entonces, qué tendría que hacer, descargar la versión de VirtueMart 3.0.2 y descomprimirla y hacer lo que me dices, pero si subo solo un archivo el vmmodel.php, no habrá conflictos con la versión de VirtueMart 2.6.10 (que era la que tenía antes de hacer la migración)?

Hasta luego

ResponderCitar
Respondido : 27/12/2014 9:21 pm
YSABEL KATIUSKA
 YSABEL KATIUSKA
Estimable Member

Hola otra vez,

Casualmente he vuelto a intentar acceder a la administración, y ahora me aparece otro mensaje que no me salía antes. Aunque no entiendo nada, adjunto captura, a ver si os puede ser de utilidad.

Gracias!!

ResponderCitar
Respondido : 27/12/2014 9:27 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Ysabel,

Por el error deduzco que estás mezclando archivos o extensiones que solo funcionan en Joomla 2.5 en una instalación de Joomla 3.3.x (supongo que es la 3.3.6 ¿correcto?).

¿Que versión "exacta de VirtueMart tienes en esa instalación de Joomla?.

Extensiones para VirtueMart 2.6.x no funcionan con la nueva versión de VirtueMart para Joomla 3.0.2 si no han sido actualizadas por los desarrolladores de cada extensión que uses que no sean propias de VirtueMart.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 28/12/2014 1:05 am
YSABEL KATIUSKA
 YSABEL KATIUSKA
Estimable Member

Hola Luis,

Ahora tengo la versión de joomla que he instalado 3.3.6 que es lo que me ha generado el error.

De virtuemart tengo la 2.6.10 supongo, ya que no hice ninguna actualización ni cambio en virtuemart.

Entonces que puedo hacer?

Saludos

ResponderCitar
Respondido : 28/12/2014 8:53 am

Cursos Gratuitos WordPress

Pepe
 Pepe
Soporte CMS Webempresa Moderator

Hola Ysabel.
Puedes entrar a la administración de joomla 3?, si es así tienes que actualizar el plugin EasyCalcCheck:
http://extensions.joomla.org/profile/extension/access-a-security/site-security/easycalccheck-plus

Si no puedes entrar tendrás que restaurar una copia de joomla 2.5:
1.- Restaura la copia que tienes de joomla 2.5
2.- Actualiza joomla 2x a la última versión estable 2.5.28
3.- Revisa que todas las extensiones tienen sus actualizaciones para joomla 3, de no ser asi tendrás que desinstalarlas.
4.- Realiza una copia con akeeba backup
4.- Desinstala akeeba backup
5.- Actualiza joomla

Espero que puedas solucionarlo
Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 28/12/2014 10:41 am
Página 1 / 2

Por favor Iniciar Sesión o Registro